Bug 242041 - net/termshark: Update to 2.1.1
Summary: net/termshark: Update to 2.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ryan Steinmetz
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2019-11-17 22:48 UTC by Jimmy Olgeni
Modified: 2020-05-25 19:29 UTC (History)
2 users (show)

See Also:
zi: maintainer-feedback+


Attachments
Update patch (11.96 KB, patch)
2019-11-17 22:48 UTC, Jimmy Olgeni
no flags Details | Diff
Update to 2.1.1 (14.01 KB, patch)
2020-05-25 14:40 UTC, Jimmy Olgeni
olgeni: maintainer-approval? (zi)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Olgeni freebsd_committer 2019-11-17 22:48:09 UTC
Created attachment 209217 [details]
Update patch

Update net/termshark to 2.0.2.

I had to fix a couple of symlinks for fsnotify (maybe there's a better way?)

I also added an X11 option (default to off) to allow installing with wireshark rather than just tshark.
Comment 1 Automation User 2019-12-02 01:08:04 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/99827888
Comment 2 Jimmy Olgeni freebsd_committer 2020-05-25 14:40:28 UTC
Created attachment 214845 [details]
Update to 2.1.1

Update to 2.1.1, and fix dependencies for X11 option.
Comment 3 Ryan Steinmetz freebsd_committer freebsd_triage 2020-05-25 16:50:24 UTC
Approved, feel free to commit!
Comment 4 commit-hook freebsd_committer 2020-05-25 19:20:15 UTC
A commit references this bug:

Author: olgeni
Date: Mon May 25 19:19:29 UTC 2020
New revision: 536523
URL: https://svnweb.freebsd.org/changeset/ports/536523

Log:
  Update net/termshark to version 2.1.1.

  PR:           242041
  Submitted by: olgeni
  Approved by:  maintainer

Changes:
  head/net/termshark/Makefile
  head/net/termshark/distinfo
Comment 5 Jimmy Olgeni freebsd_committer 2020-05-25 19:29:48 UTC
Done :)